org.rexxla.bsf.engines.rexx

## Enum RexxScriptEngine.RexxAnnotation.RexxAnnotationEnum

- java.lang.Object
- - java.lang.Enum<RexxScriptEngine.RexxAnnotation.RexxAnnotationEnum>
  - - org.rexxla.bsf.engines.rexx.RexxScriptEngine.RexxAnnotation.RexxAnnotationEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RexxScriptEngine.RexxAnnotation.RexxAnnotationEnum>
  Enclosing class:
    RexxScriptEngine.RexxAnnotation

      public static enum RexxScriptEngine.RexxAnnotation.RexxAnnotationEnum
      extends java.lang.Enum<RexxScriptEngine.RexxAnnotation.RexxAnnotationEnum>

  The currently supported Rexx script annotation names need to be led in with an at (@) character, the name of the annotation and if values are supplied with it, then they must be given within parenthesis immediately following the annotation name.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GET`
    `SET`
    `SHOWSOURCE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RexxScriptEngine.RexxAnnotation.RexxAnnotationEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RexxScriptEngine.RexxAnnotation.RexxAnnotationEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SHOWSOURCE

          public static final RexxScriptEngine.RexxAnnotation.RexxAnnotationEnum SHOWSOURCE

    - #### GET

          public static final RexxScriptEngine.RexxAnnotation.RexxAnnotationEnum GET

    - #### SET

          public static final RexxScriptEngine.RexxAnnotation.RexxAnnotationEnum SET

  - ### Method Detail

    - #### values

          public static RexxScriptEngine.RexxAnnotation.RexxAnnotationEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RexxScriptEngine.RexxAnnotation.RexxAnnotationEnum c : RexxScriptEngine.RexxAnnotation.RexxAnnotationEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RexxScriptEngine.RexxAnnotation.RexxAnnotationEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null